<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-prospect-data-heading">Create or edit a Prospect Data</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_title">Title</label>
                    <input type="text" class="form-control" name="title" id="field_title"
                           formControlName="title"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_givenName">Given Name</label>
                    <input type="text" class="form-control" name="givenName" id="field_givenName"
                           formControlName="givenName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_middleName">Middle Name</label>
                    <input type="text" class="form-control" name="middleName" id="field_middleName"
                           formControlName="middleName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_surName">Sur Name</label>
                    <input type="text" class="form-control" name="surName" id="field_surName"
                           formControlName="surName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_areaCode">Area Code</label>
                    <input type="text" class="form-control" name="areaCode" id="field_areaCode"
                           formControlName="areaCode"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_contactNo">Contact No</label>
                    <input type="text" class="form-control" name="contactNo" id="field_contactNo"
                           formControlName="contactNo"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_passportNo">Passport No</label>
                    <input type="text" class="form-control" name="passportNo" id="field_passportNo"
                           formControlName="passportNo"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_passportExpireDate">Passport Expire Date</label>
                    <input type="text" class="form-control" name="passportExpireDate" id="field_passportExpireDate"
                           formControlName="passportExpireDate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_passportDateOfBirth">Passport Date Of Birth</label>
                    <input type="text" class="form-control" name="passportDateOfBirth" id="field_passportDateOfBirth"
                           formControlName="passportDateOfBirth"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_agreePda">Agree Pda</label>
                    <input type="checkbox" class="form-control" name="agreePda" id="field_agreePda"
                           formControlName="agreePda"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_allowContactMe">Allow Contact Me</label>
                    <input type="checkbox" class="form-control" name="allowContactMe" id="field_allowContactMe"
                           formControlName="allowContactMe"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
